using System;

class Program
{
    static void Main()
    {
        int n = int.Parse(Console.ReadLine());
        int[] a = Array.ConvertAll(Console.ReadLine().Split(), int.Parse);
        int[] b = Array.ConvertAll(Console.ReadLine().Split(), int.Parse);
        int max = 0;
        for (int l = 0; l < n; l++)
        {
            int xor = 0;
            int and = b[l];
            for (int r = l; r < n; r++)
            {
                xor ^= a[r];
                and &= b[r];
                int trVrednost = xor * and;
                max = Math.Max(max, trVrednost);
            }
        }
        Console.WriteLine(max);
        Console.ReadLine();
    }
}